Skip to main content

Proxy navigateur

Service d'automatisation de navigateur — conteneur Docker distinct sur le port 13000 pour le contrôle de navigateur headless.


Proxy navigateur

Le Proxy navigateur est un service Docker distinct qui fournit de l'automatisation de navigateur headless via Playwright. Il ne fait PAS partie intégrante de l'API Synapse — les endpoints Synapse n'incluent pas les chemins /browser/*.

Architecture

┌──────────────┐                ┌──────────────────┐
│  Synapse API │                │  Browser Proxy   │
│  port 12800  │                │  port 13000      │
│              │                │  (Playwright)    │
└──────────────┘                └──────────────────┘
       ▲                                ▲
       │                                │
       └──────────┌─────────────┐──────┘
                  │  MCP Server │
                  │  port 13100 │
                  └─────────────┘

Méthodes d'accès

Méthode 1 : via le serveur MCP Synapse (recommandé)

Le serveur MCP Synapse expose les outils navigateur en tant qu'outils MCP. Utilisez cette méthode pour l'automatisation de navigateur pilotée par LLM :

// Configuration Claude Desktop
{
  "mcpServers": {
    "synapse": {
      "command": "npx",
      "args": ["-y", "synapse-mcp-api@latest"],
      "env": {
        "SYNAPSE_MIND_KEY": "mk_...",
        "SYNAPSE_URL": "https://synapse.schaefer.zone"
      }
    }
  }
}

Outils MCP navigateur disponibles :

  • browser_new — ouvrir un nouvel onglet de navigateur
  • browser_navigate — naviguer vers une URL
  • browser_click — cliquer sur un élément
  • browser_type — saisir du texte dans un champ
  • browser_screenshot — capturer une capture d'écran
  • browser_close — fermer l'onglet
  • (et plus — voir Intégration MCP)

Méthode 2 : accès direct au Proxy navigateur

Pour les intégrations hors MCP, connectez-vous directement au service browser-proxy :

# Vérification de santé
curl http://browser-proxy.schaefer.zone:13000/health

# Ouvrir une page
curl -X POST http://browser-proxy.schaefer.zone:13000/navigate \
  -H "Content-Type: application/json" \
  -d '{"url": "https://example.com"}'

Cas d'usage courants

Web scraping

# Via MCP (Claude Desktop)
"Use browser_navigate to open https://news.ycombinator.com, 
 then extract the top 10 story titles."

Automatisation de formulaires

# Via MCP
"Use browser_navigate to open the login page,
 browser_type to fill username and password,
 browser_click to submit the form."

Capture d'écran

# Via MCP
"Take a screenshot of https://example.com and save it."

Services associés

Service Port Rôle
Synapse API 12800 Memory, chat, tasks
Synapse MCP 13100 Serveur MCP (79 outils)
Proxy navigateur 13000 Automatisation de navigateur headless
Proxy SSH 12900 Accès SSH aux machines distantes

Prochaines étapes